UpdateHealthCheckerDetails¶
- class oci.load_balancer.models.UpdateHealthCheckerDetails(**kwargs)¶
Bases:
objectThe health checker’s configuration details.
Methods:
__init__(**kwargs)Initializes a new UpdateHealthCheckerDetails object with values from keyword arguments.
Attributes:
Gets the default_weight of this UpdateHealthCheckerDetails.
[Required] Gets the interval_in_millis of this UpdateHealthCheckerDetails.
Gets the is_dynamic_backend_weight_enabled of this UpdateHealthCheckerDetails.
Gets the is_force_plain_text of this UpdateHealthCheckerDetails.
[Required] Gets the port of this UpdateHealthCheckerDetails.
[Required] Gets the protocol of this UpdateHealthCheckerDetails.
[Required] Gets the response_body_regex of this UpdateHealthCheckerDetails.
[Required] Gets the retries of this UpdateHealthCheckerDetails.
[Required] Gets the return_code of this UpdateHealthCheckerDetails.
[Required] Gets the timeout_in_millis of this UpdateHealthCheckerDetails.
Gets the url_path of this UpdateHealthCheckerDetails.
- __init__(**kwargs)¶
Initializes a new UpdateHealthCheckerDetails object with values from keyword arguments. The following keyword arguments are supported (corresponding to the getters/setters of this class):
- Parameters
protocol (str) – The value to assign to the protocol property of this UpdateHealthCheckerDetails.
url_path (str) – The value to assign to the url_path property of this UpdateHealthCheckerDetails.
port (int) – The value to assign to the port property of this UpdateHealthCheckerDetails.
return_code (int) – The value to assign to the return_code property of this UpdateHealthCheckerDetails.
retries (int) – The value to assign to the retries property of this UpdateHealthCheckerDetails.
timeout_in_millis (int) – The value to assign to the timeout_in_millis property of this UpdateHealthCheckerDetails.
interval_in_millis (int) – The value to assign to the interval_in_millis property of this UpdateHealthCheckerDetails.
response_body_regex (str) – The value to assign to the response_body_regex property of this UpdateHealthCheckerDetails.
is_dynamic_backend_weight_enabled (bool) – The value to assign to the is_dynamic_backend_weight_enabled property of this UpdateHealthCheckerDetails.
default_weight (int) – The value to assign to the default_weight property of this UpdateHealthCheckerDetails.
is_force_plain_text (bool) – The value to assign to the is_force_plain_text property of this UpdateHealthCheckerDetails.
- property default_weight¶
Gets the default_weight of this UpdateHealthCheckerDetails. You can configure this fallback backend weight when dynamic backend weights are enabled and the backend’s HTTP health check response does not include a valid X-Dynamic-Backend-Weight header value.
This value must be an integer from 1 through 100.
Update semantics: * provided: replace the existing value. * omitted or null: preserve the existing configured value.
If dynamic backend weights are enabled and no existing defaultWeight is present, the service uses 1.
Setting or updating defaultWeight does not enable dynamic backend weights. To enable dynamic backend weights, set isDynamicBackendWeightEnabled to true. If your request includes defaultWeight, you must also set isDynamicBackendWeightEnabled to true; otherwise, the request is rejected.
For TCP health checks, this field is accepted and stored, but it has no runtime effect.
Example: 1
- Returns
The default_weight of this UpdateHealthCheckerDetails.
- Return type
int
- property interval_in_millis¶
[Required] Gets the interval_in_millis of this UpdateHealthCheckerDetails. The interval between health checks, in milliseconds.
Example: 10000
- Returns
The interval_in_millis of this UpdateHealthCheckerDetails.
- Return type
int
- property is_dynamic_backend_weight_enabled¶
Gets the is_dynamic_backend_weight_enabled of this UpdateHealthCheckerDetails. You can enable dynamic backend weights for HTTP health checks.
When enabled, the load balancer reads the X-Dynamic-Backend-Weight header from each backend’s HTTP health check response. The load balancer uses that value as the backend’s effective weight when distributing traffic.
A valid header value is an integer from 0 through 100.
If the backend response does not include this header, or includes an invalid value, the load balancer uses defaultWeight.
Update semantics: * omitted: preserve existing value. * false: disable dynamic backend weight. * true: enable dynamic backend weight.
For TCP health checks, this field is accepted and stored, but it has no runtime effect.
- Returns
The is_dynamic_backend_weight_enabled of this UpdateHealthCheckerDetails.
- Return type
bool
- property is_force_plain_text¶
Gets the is_force_plain_text of this UpdateHealthCheckerDetails. Specifies if health checks should always be done using plain text instead of depending on whether or not the associated backend set is using SSL.
If “true”, health checks will be done using plain text even if the associated backend set is configured to use SSL.
If “false”, health checks will be done using SSL encryption if the associated backend set is configured to use SSL. If the backend set is not so configured the health checks will be done using plain text.
Example: true
- Returns
The is_force_plain_text of this UpdateHealthCheckerDetails.
- Return type
bool
- property port¶
[Required] Gets the port of this UpdateHealthCheckerDetails. The backend server port against which to run the health check.
Example: 8080
- Returns
The port of this UpdateHealthCheckerDetails.
- Return type
int
- property protocol¶
[Required] Gets the protocol of this UpdateHealthCheckerDetails. The protocol the health check must use; either HTTP or TCP.
Example: HTTP
- Returns
The protocol of this UpdateHealthCheckerDetails.
- Return type
str
- property response_body_regex¶
[Required] Gets the response_body_regex of this UpdateHealthCheckerDetails. A regular expression for parsing the response body from the backend server.
Example: ^((?!false).|s)*$
- Returns
The response_body_regex of this UpdateHealthCheckerDetails.
- Return type
str
- property retries¶
[Required] Gets the retries of this UpdateHealthCheckerDetails. The number of retries to attempt before a backend server is considered “unhealthy”. This number also applies when recovering a server to the “healthy” state.
Example: 3
- Returns
The retries of this UpdateHealthCheckerDetails.
- Return type
int
- property return_code¶
[Required] Gets the return_code of this UpdateHealthCheckerDetails. The status code a healthy backend server should return.
Example: 200
- Returns
The return_code of this UpdateHealthCheckerDetails.
- Return type
int
- property timeout_in_millis¶
[Required] Gets the timeout_in_millis of this UpdateHealthCheckerDetails. The maximum time, in milliseconds, to wait for a reply to a health check. A health check is successful only if a reply returns within this timeout period.
Example: 3000
- Returns
The timeout_in_millis of this UpdateHealthCheckerDetails.
- Return type
int
- property url_path¶
Gets the url_path of this UpdateHealthCheckerDetails. The path against which to run the health check.
Example: /healthcheck
- Returns
The url_path of this UpdateHealthCheckerDetails.
- Return type
str